# $Revision: 1.26 $, $Date: 2008/07/27 22:47:02 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Scalar
%define		pnam	Properties
Summary:	Scalar::Properties - run-time properties on scalar variables
Summary(pl.UTF-8):	Scalar::Properties - właściwości skalarów w trakcie wykonywania
Name:		perl-Scalar-Properties
Version:	0.13
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Scalar/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	78e191132f3b8e1e97fb9f38e7e512bf
URL:		http://search.cpan.org/dist/Scalar-Properties/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Scalar::Properties attempts to make Perl more object-oriented by
taking an idea from Ruby: Everything you manipulate is an object, and
the results of those manipulations are objects themselves.

%description -l pl.UTF-8
Scalar::Properties próbuje dodać do Perla nieco więcej obiektowości
poprzez zaimplementowanie pomysłu z Ruby: wszystko, na czym operujesz,
jest obiektem; tak samo, jak rezultat tych manipulacji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests: %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes TODO
%dir %{perl_vendorlib}/Scalar
%{perl_vendorlib}/Scalar/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Scalar-Properties.spec,v $
Revision 1.26  2008/07/27 22:47:02  arekm
- release 2

Revision 1.25  2008-01-23 21:10:58  qboosh
- generic URL

Revision 1.24  2008-01-16 18:46:52  agaran
- up to 0.13, rel 1, builds here

Revision 1.23  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.22  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.21  2004/11/03 22:30:42  paladine
- formatting

Revision 1.20  2004/10/31 22:53:42  paladine
- spaces->tabs
- formatting

Revision 1.19  2004/06/05 18:10:47  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.18  2004/05/07 00:32:04  ankry
- rel. 2

Revision 1.17  2004/05/06 18:01:31  ankry
- fixed perl-devel BR

Revision 1.16  2004/05/02 08:31:33  ankry
- license fixed, cosmetics

Revision 1.15  2004/05/02 05:35:33  ankry
- cosmetics

Revision 1.14  2004/04/15 20:30:23  ankry
- cosmetics, unification

Revision 1.13  2003/11/10 15:13:46  migo
- up to 0.12

Revision 1.12  2003/11/08 20:46:43  migo
- up to 0.11, added tests

Revision 1.11  2003/09/09 10:24:47  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:09:11  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:01:00  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 20:46:09  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/28 10:08:31  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.4  2003/02/25 00:41:47  radek
- use the __perl macro

Revision 1.3  2002/12/02 11:06:24  ankry
- massive cleaning

Revision 1.2  2002/08/01 12:41:40  ankry
- added %%{perl_sitelib}/Scalar dir
- cleaning, adapterized
- release 2

Revision 1.1  2002/07/24 20:01:36  radek
- new, STBR
